#!/bin/bash

package=curl
version=-7.30.0

progname=$0


source ../cascade-make/lib/cascade-lib.bash GEXT_ECHOPRINT ../.. $*

prefix=$GEXTECHOPRINT_INSTALLED

# CURL configure script is stricter than most, and insists that 
# no C pre-processing flags (such -I/aa/bb/cc) appear in the
# CFLAGS variable
export CFLAGS=`echo $CFLAGS | sed 's/-I[^ ]*//g'`

opt_run_untar $force_untar $auto_untar $package $version
opt_run_configure $force_config $auto_config $package $version $prefix

opt_run_make $compile   $package $version
opt_run_make $install   $package $version "install"
opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version




